<?php
require_once('../conexion.php');
require_once('../include/sesiones.php'); 

//SUMANDOR ARTICULOS
$sumador_total=0;
$neto=0;
$total_descuento=0;
$total_iva=0;
$total_retencion=0;
$sumador_articulos=0;

$si_global_total=0;
$no_global_total=0;

$ret=mysqli_query($con,"SELECT SUM(ret_importe) as ret_importe FROM retencion_temp where empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con)); 
$rets=mysqli_fetch_array($ret);
$total_retencion=$rets['ret_importe'];

$sql=mysqli_query($con,"SELECT * from venta_detalle_temp where empresa='$empresa' and usuario='$usu_id'");
while ($row=mysqli_fetch_array($sql))
{
    include('detalle_temp.php');

    $si=0;
    $no=0;

    $sqls1=mysqli_query($con,"SELECT *,count(*) as contandor_seriales from seriales_articulos where articulos_art_id='$vent_art_id'  AND estado='sin vender'");
    $rows1=mysqli_fetch_array($sqls1);
   
    $contador=$rows1['contandor_seriales'];
    if ($contador>0) 
    {
        $sqls2=mysqli_query($con,"SELECT *,count(*) as contandor_seriales_tem from seriales_temp where venta_detalle_temp_vent_id ='$vent_id'");
        $rows2=mysqli_fetch_array($sqls2);

        $contador_tem=$rows2['contandor_seriales_tem'];

        if ($contador_tem==$vent_cantidad) 
        {
            $sqls3=mysqli_query($con,"SELECT * from seriales_temp where venta_detalle_temp_vent_id ='$vent_id'");
            while( $rows3=mysqli_fetch_array($sqls3))
            {
                $ser_codigo=$rows3['ser_codigo'];
                $sqls4=mysqli_query($con,"SELECT * from seriales_articulos where se_codigo='$ser_codigo' and articulos_art_id='$vent_art_id'");
                $rows4=mysqli_fetch_array($sqls4);
                if ($rows4>0)
                {
                    $si+=1;
                }
                else
                {
                    $no+=1;
                }
            }
        }
        else
        {
            $no+=1;
        }
    }
    else
    {
        $si+=1;
    }
    $si_global_total+=$si;
    $no_global_total+=$no;
}

//SUMADOR COMBOS
$sumador_combo=0;
$descuento_combo_total=0;
$sql2=mysqli_query($con,"SELECT * from venta_detalle_combo_temp where usuario='$usu_id'");
while ($row2=mysqli_fetch_array($sql2))
{
    $vdc_id=$row2['vdc_id'];
    $combo_desc=$row2['combo_desc'];
    $precio=($row2['combo_cantidad']*$row2['combo_precio']);
    $descuento_combo_total+=$descuento_combo=($combo_desc/100)*$precio; //descuento_item 84.033

    $sumador_combo+=$precio;
}
$sumador_total=$sumador_articulos+$sumador_combo-$total_retencion-$descuento_combo_total;





$rm='(RM)';
$rm0=mysqli_query($con,"SELECT * from venta_detalle_temp where vent_nombre like '%$rm%' and empresa='$empresa' and usuario='$usu_id'");
$remi=mysqli_num_rows($rm0);



//DATOS CLIENTE
$cli=mysqli_query($con,"SELECT * FROM cliente c, cliente_venta_temp cv  where c.clie_id=cv.cvt_clie_id and cv.usuario='$usu_id' and cv.empresa='$empresa'") or die(mysqli_error($con)); 
$result=mysqli_num_rows($cli);
if($result<>'0')
{
    $cli=mysqli_fetch_array($cli);
    $clie_id=$cli['clie_id'];
    $clie_nombre=$cli['clie_nombre'];
    $clie_disponible=$cli['clie_disponible'];
    $clie_nota_credito=$cli['clie_nota_credito'];
    $clie_cupo_credito=$cli['clie_cupo_credito'];
    $clie_facturador=$cli['facturador'];
    if($clie_facturador=='si') {  $checked_e='checked'; $checked_p=''; $display_p='none'; $display_e='block';} else { $checked_p='checked'; $checked_e=''; $display_p='block'; $display_e='none'; }
}
else
{
    $cli1=mysqli_query($con,"SELECT * FROM cliente where clie_destacado='si' and empresa='$empresa'") or die(mysqli_error($con)); 
    $cli1=mysqli_fetch_array($cli1);
    $clie_id=$cli1['clie_id'];
    $clie_nombre=$cli1['clie_nombre'];
    $clie_disponible=$cli1['clie_disponible'];
    $clie_nota_credito=$cli1['clie_nota_credito'];
    $clie_cupo_credito=$cli1['clie_cupo_credito'];
    $clie_facturador=$cli1['facturador'];
    if($clie_facturador=='si') {  $checked_e='checked'; $checked_p=''; $display_p='none'; $display_e='block';} else { $checked_p='checked'; $checked_e=''; $display_p='block'; $display_e='none'; }
}





//SALDO VENCIDO
 
$vencido=0;
$venci=0;
$sql="SELECT * FROM ventas where Cliente_clie_id='$clie_id' and ven_estado='sin pagar' and empresa='$empresa' and sucursal='$sucursal' order by ven_id desc";
$query=mysqli_query($con, $sql);
while ($reg=mysqli_fetch_array($query))
{  
    $ven_id=$reg['ven_id'];
    $ven_n_venta=$reg['ven_n_venta'];
    $ven_fecha=$reg['ven_fecha'];
    $ven_dias=$reg['ven_dias'];
    $usuario=$reg['usuario'];
    $ven_nombre=$reg['ven_nombre'];
    $ven_forma_de_pago=$reg['ven_forma_de_pago'];

    $sumador_combo1=0;
    $sumador_total1=0;

    $neto1=0;
    $total_descuento1=0;
    $total_iva1=0;
    $total_retencion1=0;
    $sumador_articulos1=0;

    $ret1=mysqli_query($con, "SELECT * FROM retencion_venta where ventas_ven_id='$ven_id' ") or die(mysqli_error($con)); 
    $rets1=mysqli_fetch_array($ret1);
    $ret_porcentaje=!empty($rets1['porcentaje']);

    //include('../include/total_venta.php');

    $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id'");
    while ($row=mysqli_fetch_array($sql))
    {
        $vend_precio=$row['vend_precio'];
        $vend_cantidad=$row['vend_cantidad'];
        $vend_iva=$row['vend_iva'];
        if (isset($row['vend_iva'])){ $vend_iva=$row['vend_iva'];  } else { $vend_iva='0'; }
        if (isset($row['vend_desc'])){ $vend_descuento=$row['vend_desc'];  } else { $vend_descuento='0'; }

        $iva0=$vend_iva/100; //0.19
        $iva1=1+$iva0; //1.19

        $precio_total_item=$vend_precio*$vend_cantidad;//precio normal 1.000.000
        $precio_total_sin_iva_item=($vend_precio/$iva1)*$vend_cantidad; //precio sin iva  840.336
        $descuento_item=($vend_descuento/100)*$precio_total_sin_iva_item; //descuento_item 84.033
        $total_iva_item=($precio_total_sin_iva_item-$descuento_item)*$iva0; // total iva  159.336

        $neto1+=$precio_total_sin_iva_item;
        $total_descuento1+=$descuento_item;
        $total_iva1+=$total_iva_item;

        $sumador_articulos1=($neto+$total_iva1)-$total_descuento1;
    }

    $descuento_combo_total=0;
    $neto_combo=0;
    $sql1=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id'");
    while ($row1=mysqli_fetch_array($sql1))
    {
        $combo_cantidad=$row1["combo_cantidad"];
        $combo_precio=$row1['combo_precio'];
        $combo_desc=$row1['combo_desc'];
        $precio_total=$combo_cantidad*$combo_precio;
        $descuento_combo_total+=($combo_desc/100)*$precio_total;

        $neto_combo+=$precio_total;
        $sumador_combo=$neto_combo-$descuento_combo_total;
    }




    $total_retencion1+=($neto1+$sumador_combo1-$total_descuento1)*($ret_porcentaje/100);
    $sumador_total1=$sumador_articulos1+$sumador_combo1-$total_retencion1;

    $sql1a=mysqli_query($con, "SELECT sum(veab_abono) as total from venta_abonos where ventas_ven_id='$ven_id' ");
    $sql1a=mysqli_fetch_array($sql1a);
    $total_abono=$sql1a['total'];

    $devo_total=0;
    $sql1d=mysqli_query($con, "SELECT * from devolucion where empresa='$empresa' and ventas_ven_id='$ven_id'");
    while ($rowd=mysqli_fetch_array($sql1d))
    {
        $dev_id=$rowd["dev_id"];
        $dev_referencia=$rowd["dev_referencia"];
        $dev_cantidad=$rowd['dev_cantidad'];
        $dev_precio=$rowd['dev_precio'];
        $devo_total+=$dev_precio; 
    }
    $saldo1=$sumador_total1-$total_abono-$devo_total;
    $vence = strtotime($ven_fecha."+ ".$ven_dias." days");
    date("Y-m-d",$vence) . "\n";
    $fecha=date('Y-m-d ');

    $hasta=date("Y-m-d",$vence) . "\n";
    $hoy=$fecha;
    $dias = (strtotime($hasta)-strtotime($hoy))/86400;
    $dias = abs($dias);

    if($hasta >= $hoy)
    {  }
    else
    {
        $vencido+=$saldo1;
    }
    $venci=$vencido;
}
?>